// Generated by CoffeeScript 2.7.0
// Prepare
var regex;

regex = /^\s*[^\n]*?(([^\s\d\w])\2{2,})(?:\x20*([a-z]+))?([\s\S]*?)[^\n]*?\1[^\n]*\n/; // allow some space
// allow potential comment characters in delimiter
// discover our delimiter
//\2
// match the above (the first character of our delimiter), 2 or more times
//\1
// discover our parser (optional)
// allow zero or more space characters, see https://github.com/jashkenas/coffee-script/issues/2668
// parser must be lowercase alpha
//\3
// discover our meta content
// match anything/everything lazily
//\4
// allow potential comment characters in delimiter
// match our delimiter (the first group) exactly
// allow potential comment characters in delimiter
// end with a newline

// Export
module.exports = function(content) {
  var body, delimiter, header, match, parser;
  // Normalise line endings for the web, just for convience, if it causes problems we can remove
  content = content.replace(/\r\n?/gm, '\n');
  // ensure the content ends with a newline
  if (content[content.length - 1] !== '\n') {
    content += '\n';
  }
  // Extract Meta Data
  match = regex.exec(content);
  if (match) {
    // Prepare
    delimiter = match[1];
    parser = typeof match[3] === 'string' ? match[3].toLowerCase() : null;
    header = match[4].trim();
    body = content.substring(match[0].length);
    // Parse
    return {delimiter, parser, header, body, content};
  } else {
    return {content};
  }
};
